Next: log, Previous: isgreater, Up: Math

### 1.32 `ldexp`, `ldexpf`—load exponent

Synopsis

         #include <math.h>
         double ldexp(double val, int exp);
         float ldexpf(float val, int exp);

Description
`ldexp` calculates the value val times 2 to the power exp. `ldexpf` is identical, save that it takes and returns `float` rather than `double` values.

Returns
`ldexp` returns the calculated value.

Underflow and overflow both set `errno` to `ERANGE`. On underflow, `ldexp` and `ldexpf` return 0.0. On overflow, `ldexp` returns plus or minus `HUGE_VAL`.

Portability
`ldexp` is ANSI. `ldexpf` is an extension.